aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/lib/libotputil/lmisc.c
diff options
context:
space:
mode:
Diffstat (limited to 'lib/libotputil/lmisc.c')
-rw-r--r--lib/libotputil/lmisc.c50
1 files changed, 50 insertions, 0 deletions
diff --git a/lib/libotputil/lmisc.c b/lib/libotputil/lmisc.c
index 4b62d1e..67ebd3d 100644
--- a/lib/libotputil/lmisc.c
+++ b/lib/libotputil/lmisc.c
@@ -81,6 +81,56 @@ static const otputil_map_t otputil_md_list[] =
81///////////////// 81/////////////////
82#pragma mark - Functions 82#pragma mark - Functions
83 83
84void
85otputil_debug(
86 otputil_t * tud,
87 FILE * fs )
88{
89 const otputil_bv_t * default_bv;
90
91 default_bv = &otputil_const_defaults_k;
92 tud = ((tud)) ? tud : &otputil_defaults;
93 fs = ((fs)) ? fs : stdout;
94
95 fprintf(fs, "OTPUtils Options:\n");
96 fprintf(fs, " OTPUTIL_OPT_DESC: %s\n", (((tud->util_desc)) ? tud->util_desc : "n/a"));
97 fprintf(fs, " OTPUTIL_OPT_METHOD: %i\n", tud->util_method);
98 fprintf(fs, "\n");
99
100 fprintf(fs, "HOTP (RFC 4226) Options:\n");
101 fprintf(fs, " OTPUTIL_OPT_HOTP_C: %" PRIu64 "\n", tud->hotp_c);
102 fprintf(fs, " OTPUTIL_OPT_HOTP_DIGITS: %i\n", tud->hotp_digits);
103 fprintf(fs, " OTPUTIL_OPT_HOTP_HMAC: %s\n", otputil_md2str(tud->hotp_hmac));
104 fprintf(fs, " OTPUTIL_OPT_HOTP_KSTR: %s\n", otputil_bvbase32(((tud->hotp_k)) ? tud->hotp_k : default_bv));
105 fprintf(fs, "\n");
106
107 fprintf(fs, "OTP (RFC 2289) Options:\n");
108 fprintf(fs, " OTPUTIL_OPT_OTP_ENCODE: %i\n", tud->otp_encoding);
109 fprintf(fs, " OTPUTIL_OPT_OTP_HASH: %s\n", otputil_md2str(tud->otp_hash));
110 fprintf(fs, " OTPUTIL_OPT_OTP_PASS: %s\n", (((tud->otp_pass)) ? tud->otp_pass : "n/a"));
111 fprintf(fs, " OTPUTIL_OPT_OTP_SEED: %s\n", (((tud->otp_seed)) ? tud->otp_seed : "n/a"));
112 fprintf(fs, " OTPUTIL_OPT_OTP_SEQ: %i\n", tud->otp_seq);
113 fprintf(fs, "\n");
114
115 fprintf(fs, "S/KEY (RFC 1760) Options:\n");
116 fprintf(fs, " OTPUTIL_OPT_SKEY_ENCODE: %i\n", tud->skey_encoding);
117 fprintf(fs, " OTPUTIL_OPT_SKEY_HASH: %s\n", otputil_md2str(tud->skey_hash));
118 fprintf(fs, " OTPUTIL_OPT_SKEY_PASS: %s\n", (((tud->skey_pass)) ? tud->skey_pass : "n/a"));
119 fprintf(fs, " OTPUTIL_OPT_SKEY_SEQ: %i\n", tud->skey_seq);
120 fprintf(fs, "\n");
121
122 fprintf(fs, "TOTP (RFC 6238) Options:\n");
123 fprintf(fs, " OTPUTIL_OPT_TOTP_DIGITS: %i\n", tud->totp_digits);
124 fprintf(fs, " OTPUTIL_OPT_TOTP_HMAC: %s\n", otputil_md2str(tud->totp_hmac));
125 fprintf(fs, " OTPUTIL_OPT_TOTP_KSTR: %s\n", otputil_bvbase32(((tud->totp_k)) ? tud->totp_k : default_bv));
126 fprintf(fs, " OTPUTIL_OPT_TOTP_T0: %" PRIu64 "\n", tud->totp_t0);
127 fprintf(fs, " OTPUTIL_OPT_TOTP_TIME: %" PRIu64 "\n", tud->totp_time);
128 fprintf(fs, " OTPUTIL_OPT_TOTP_X: %" PRIu64 "\n", tud->totp_tx);
129
130 return;
131}
132
133
84const char * 134const char *
85otputil_err2string( 135otputil_err2string(
86 int err ) 136 int err )